aboutsummaryrefslogtreecommitdiff
path: root/binary_tarball/scripts
diff options
context:
space:
mode:
authorohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-29 00:18:58 +0100
committerohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-29 00:18:58 +0100
commitf25780603396b1adc27524b9c165106d48c9631d (patch)
tree581346d95ab05b6aa40e39a1d00009899fafae66 /binary_tarball/scripts
parentoh ubuntu..: xz is in xz-utils (diff)
downloadlibrewolf-linux-f25780603396b1adc27524b9c165106d48c9631d.tar.gz
librewolf-linux-f25780603396b1adc27524b9c165106d48c9631d.tar.bz2
librewolf-linux-f25780603396b1adc27524b9c165106d48c9631d.zip
several small script fixes
Diffstat (limited to 'binary_tarball/scripts')
-rwxr-xr-xbinary_tarball/scripts/1_Install_Dependencies.sh2
-rwxr-xr-xbinary_tarball/scripts/4_Build_Binary_Tarball.sh4
-rwxr-xr-xbinary_tarball/scripts/5_Configure_Binary_Tarball.sh5
3 files changed, 7 insertions, 4 deletions
diff --git a/binary_tarball/scripts/1_Install_Dependencies.sh b/binary_tarball/scripts/1_Install_Dependencies.sh
index 1783768..a925e34 100755
--- a/binary_tarball/scripts/1_Install_Dependencies.sh
+++ b/binary_tarball/scripts/1_Install_Dependencies.sh
@@ -3,7 +3,7 @@ printf "\n\n-------------------------------------- DEPENDENCY INSTALLATION -----
# Setup Script Variables
# _DEPENDENCIES="mercurial wget git flatpak flatpak-builder";
-_DEPENDENCIES="wget git xvfb xz-utils";
+_DEPENDENCIES="wget git xvfb xz-utils python3";
# Installs Dependencies
printf "\nInstalling dependencies: $_DEPENDENCIES\n";
diff --git a/binary_tarball/scripts/4_Build_Binary_Tarball.sh b/binary_tarball/scripts/4_Build_Binary_Tarball.sh
index a7f4784..c1dc1f9 100755
--- a/binary_tarball/scripts/4_Build_Binary_Tarball.sh
+++ b/binary_tarball/scripts/4_Build_Binary_Tarball.sh
@@ -57,12 +57,12 @@ LLVM_PROFDATA=llvm-profdata \
if [[ ! -s merged.profdata ]]; then
echo "No profile data produced."
- return 1
+ exit 1
fi
if [[ ! -s jarlog ]]; then
echo "No jar log produced."
- return 1
+ exit 1
fi
echo "Removing instrumented browser..."
diff --git a/binary_tarball/scripts/5_Configure_Binary_Tarball.sh b/binary_tarball/scripts/5_Configure_Binary_Tarball.sh
index 582e7de..0693e67 100755
--- a/binary_tarball/scripts/5_Configure_Binary_Tarball.sh
+++ b/binary_tarball/scripts/5_Configure_Binary_Tarball.sh
@@ -1,6 +1,9 @@
#!/bin/bash
printf "\n\n--------------------------------- SETTINGS INTEGRATION --------------------------------------\n";
+# Aborts the script upon any faliure
+set -e;
+
# Setup Script Variables
BINARY_TARBALL=$1;
TOGGLE_SETTINGS_SCRIPT=$2;
@@ -32,7 +35,7 @@ cp $LAUNCHER_SCRIPT $_EXTRACTED_TARBALL_FOLDER/launch_librewolf.sh;
# until we've worked out how to use `--install-settings` with links
# in all major packages instead
printf "\nWorkaround: auto-enable Settings\n"
-cp $_EXTRACTED_TARBALL_FOLDER/settings/* $_EXTRACTED_TARBALL_FOLDER;
+cp -r $_EXTRACTED_TARBALL_FOLDER/settings/* $_EXTRACTED_TARBALL_FOLDER;
# Add distribution.ini
distini="$_EXTRACTED_TARBALL_FOLDER/distribution/distribution.ini"
bgstack15